Subject: Re: bug#66394: 29.1; Make register-read-with-preview more useful

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 29 Nov 2023 18:18:40 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Thierry Volpiatto <[email-masked]>
>> Cc: [email-masked],  [email-masked],
>>   [email-masked],  [email-masked]
>> Date: Sat, 25 Nov 2023 21:14:31 +0000
>> 
>> Here a patch with the change suggested by Stefan applied, slighly
>> modified though because it fails if I put the call to
>> cl--generic-prefill-dispatchers at the recommended place.
>> 
>> I recompiled Emacs with this patch with no errors.
>
> Thanks, installed on master.

Thanks.

> The response "a" to the "Point to register:" question is something I
> needed to type;

Of course we are using now read-from-minibuffer and the test is related
to read-key not quitting with C-g

> previously the test never asked any questions (and it shouldn't,
> AFAIU).

Yes, it shouldn't, but now we are using a real minibuffer, is this test
really needed?
It is like if you had to make tests in all functions using
read-from-minibuffer to check if it quit properly with C-g (it does of course).

> Could you please see if the test suite needs some adaptations to these
> changes?

If you really need this test, it needs a complete rewrite.

ALSO: I intentionally leave register-preview-delay defcustom with a FIXME
comment, do you want to remove it? It is not used anymore now AFAIK.

Thanks.

-- 
Thierry